%global commit0 67030d47ccb97993eb683e23bbce0f79d9577cf5
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           woffTools
Version:        0.1
Release:        0.17.20160211git%{?dist}
Summary:        Tool for manipulating and examining WOFF files

License:        MIT
URL:            https://github.com/typesupply/woffTools
Source0:        https://github.com/typesupply/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python-tools
BuildRequires:  python3-devel

%if 0%{?fedora} > 22
BuildRequires:  python2-fonttools
BuildRequires:  python3-fonttools
Requires: python2-fonttools
Requires: python2-woffTools
%else
BuildRequires:  fonttools
Requires: fonttools
Requires: python2-woffTools
%endif

%description
woffTools is a collection of command line tools for verifying and
examining WOFF files. This is also a Python package that can be used
to manipulate and examine WOFF files just as you can examine SFNT files
with FontTools.

%package -n python2-%{name}
Summary:        Tool for manipulating and examining WOFF files
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
An python module which provides a convenient example.


%package -n python3-%{name}
Summary:        Tool for manipulating and examining WOFF files
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
An python module which provides a convenient example.

%prep
%setup -q -c -n %{name}-%{commit0}

mv %{name}-%{commit0} python2
# Remove shebang
sed -i -e '/^#! \//, 1d' python2/Lib/woffTools/tools/validate.py
# This to make sure woffTools compatible with older fonttools-2.5
%if 0%{?fedora} < 23
sed -i 's/import sstruct/import fontTools.misc.sstruct as sstruct/g' python2/Lib/woffTools/__init__.py
%endif
mv python2/*.txt .

cp -pr python2 python3
pushd python3
2to3 -w .
popd

%build
pushd python2
%py2_build
popd
pushd python3
%py3_build
popd

%install
pushd python2
%py2_install
popd

pushd python3
%py3_install
popd

# This post actions needed to have all the python3 coding and environment
#sed -i 's/python2/python3/g' %{buildroot}/%{_bindir}/*
#2to3 -w %{buildroot}/%{_bindir}/woff-all

%files
%{_bindir}/woff*

%files -n python2-%{name}
%doc README.txt
%license License.txt
%{python2_sitelib}/*

%files -n python3-%{name}
%doc README.txt
%license License.txt
%{python3_sitelib}/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.17.20160211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1-0.16.20160211git
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.15.20160211git
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 11 2016 Parag Nemade <pnemade AT redhat DOT com>- 0.1-0.14.20160211git
- Update to latest snapshot 20160211

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.13.20151005git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.12.20151005git
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Oct 05 2015 Parag Nemade <pnemade@redhat.com>- 0.1-0.11.20151005git
- Update to new upstream github URL
- Follow git hosting source guidelines
- remove optional group tag, buildroot, defattr, %%clean
- removal of buildroot from %%install
- follow newer python packaging guidelines

* Fri Sep 11 2015 Sandeep Shedmake <sshedmak@redhat.com> - 0.1-0.10.684svn
- Patch0 added, Release bumped

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.9.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.8.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.7.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.4.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.684svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-0.2.684svn
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Nov 27 2009 Parag Nemade <pnemade@redhat.com>- 0.1-0.1.684svn
- Initial specfile for Fedora


